SoVRMLPositionInterpolator(3)

NAME
SoVRMLPositionInterpolator - The SoVRMLPositionInterpolator class is used to interpolate 3D points.

SYNOPSIS

#include <Inventor/VRMLnodes/SoVRMLPositionInterpolator.h>

Inherits SoVRMLInterpolator.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoVRMLPositionInterpolator (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)

  Public Attributes
SoMFVec3f keyValue
SoEngineOutput value_changed

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoVRMLPositionInterpolator ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoVRMLPositionInterpolator class is used to interpolate 3D points. The detailed class documentation is taken verbatim from the VRML97 standard (ISO/IEC 14772-1:1997). It is copyright The Web3D Consortium, and is used by permission of the Consortium:

PositionInterpolator {
  eventIn      SFFloat set_fraction        # (-,)
  exposedField MFFloat key           []    # (-,)
  exposedField MFVec3f keyValue      []    # (-,)
  eventOut     SFVec3f value_changed
}

The PositionInterpolator node linearly interpolates among a list of 3D vectors. The keyValue field shall contain exactly as many values as in the key field. 4.6.8, Interpolator nodes (http://www.web3d.org/documents/specifications/14772/V2.0/part1/concepts.html#4.6.8), contains a more detailed discussion of interpolators.

Constructor & Destructor Documentation

  SoVRMLPositionInterpolator::SoVRMLPositionInterpolator (void)
Constructor.

  SoVRMLPositionInterpolator::~SoVRMLPositionInterpolator () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoVRMLPositionInterpolator::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoVRMLPositionInterpolator::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Reimplemented from SoVRMLInterpolator.

  const SoFieldData ** SoVRMLPositionInterpolator::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoVRMLPositionInterpolator::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoVRMLInterpolator.

  const SoEngineOutputData * SoVRMLPositionInterpolator::getOutputData (void) const [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Reimplemented from SoVRMLInterpolator.

  void SoVRMLPositionInterpolator::initClass (void) [static]

Member Data Documentation

  SoMFVec3f SoVRMLPositionInterpolator::keyValue
The keyValue vector.

  SoEngineOutput SoVRMLPositionInterpolator::value_changed
The eventOut which is sent every time the interpolator has calculated a new value.

Author

Generated automatically by Doxygen for Coin from the source code.